Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class IdmCredentialManagerUtilities

    java.lang.Object
      oracle.ifs.server.IdmCredentialManagerUtilities

    public class IdmCredentialManagerUtilities

extends java.lang.Object

IdmCredentialManagerUtilities is a helper class for IdmCredentialManager.

Field Summary
`static java.lang.String` | `APPLICATION_TYPE_FOR_CONTENT_SERVICES`
`static java.lang.String` | `APPLICATION_TYPE_FOR_RM`
`static java.lang.String` | `CONTENT_SETTINGS_PATH` Relative path to Content Services' settings directory.
`static java.lang.String` | `PROCESS_TYPE_ID_FOR_CONTENT_SERVICES_HTTP_NODE`
`static java.lang.String` | `PROCESS_TYPE_ID_FOR_RM_HTTP_NODE`
`static java.lang.String` | `SSL_AUTH_MODE_NO_AUTH`
`static java.lang.String` | `SSL_AUTH_MODE_SERVER_CLIENT`
`static java.lang.String` | `SSL_AUTH_MODE_SERVER_ONLY`
`static java.lang.String` | `USERROLE_CONTENT_PROPERTY_FILE` User/Role property filename for Content Services
`static java.lang.String` | `USERROLE_RM_PROPERTY_FILE` User/Role property filename for Record Management
`static java.lang.String` | `XML_DATA_DIR_PATH_CONTENT` Relative path to the directory where the XML data file resides.
`static java.lang.String` | `XML_DATA_DIR_PATH_RM`

Constructor Summary
`IdmCredentialManagerUtilities()`
`IdmCredentialManagerUtilities(int timeLimit, int countLimit, int pageSize)` Constructs an IdmCredentialManagerUtilities.

Method Summary
`static void` | `closeStore(oracle.security.idm.IdentityStore store)`
`static oracle.security.idm.IdentityStore` | `createIdentityStore()`
`static oracle.security.idm.IdentityStore` | `createIdentityStore(java.util.Hashtable env)` Creates an IdentityStore instance with the specified configuration environment.
`java.lang.String` | `createUser(java.lang.String userid, java.lang.String password)` Creates a user.
`void` | `deleteUser(java.lang.String guid)` Deletes the specified user.
`void` | `dispose()` Disposes this IdmCredentialManagerUtilities.
`protected java.util.Vector` | `getCMUsers(AttributeValue[] options)` Gets the users that matches the specified options
`oracle.security.idm.IdentityStore` | `getIdentityStore()` Returns the IdentityStore instance
`java.lang.String` | `getRealmName()`
`static java.util.Hashtable` | `mapPreferredLanguage(java.lang.String prefLang)` Map the specified Idm preferredLanguage to ECM Locale preferenc.
`void` | `setUserPassword(java.lang.String guid, java.lang.String newPassword)` Sets the userPassword and authPassword attributes of the specified user.
`boolean` | `userExists(java.lang.String guid)` Gets whether the specified user exists.
`boolean` | `validateUserPassword(java.lang.String guid, java.lang.String password)` Determines whether the supplied password is the correct user password for the specified user.
`void` | `verifyNotDisposed()` Verifies this IdmCredentialManagerUtilities has not been disposed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_SETTINGS_PATH

    public static final java.lang.String CONTENT_SETTINGS_PATH

  Description copied from class: `IdmCredentialManagerUtilities`
  Relative path to Content Services' settings directory. Should be appended after ORACLE_HOME path.

  See Also:
    Constant Field Values

### USERROLE_CONTENT_PROPERTY_FILE

    public static final java.lang.String USERROLE_CONTENT_PROPERTY_FILE

  Description copied from class: `IdmCredentialManagerUtilities`
  User/Role property filename for Content Services

  See Also:
    Constant Field Values

### USERROLE_RM_PROPERTY_FILE

    public static final java.lang.String USERROLE_RM_PROPERTY_FILE

  Description copied from class: `IdmCredentialManagerUtilities`
  User/Role property filename for Record Management

  See Also:
    Constant Field Values

### PROCESS_TYPE_ID_FOR_CONTENT_SERVICES_HTTP_NODE

    public static final java.lang.String PROCESS_TYPE_ID_FOR_CONTENT_SERVICES_HTTP_NODE

See Also:
  Constant Field Values

### PROCESS_TYPE_ID_FOR_RM_HTTP_NODE

    public static final java.lang.String PROCESS_TYPE_ID_FOR_RM_HTTP_NODE

See Also:
  Constant Field Values

### APPLICATION_TYPE_FOR_CONTENT_SERVICES

    public static final java.lang.String APPLICATION_TYPE_FOR_CONTENT_SERVICES

See Also:
  Constant Field Values

### APPLICATION_TYPE_FOR_RM

    public static final java.lang.String APPLICATION_TYPE_FOR_RM

See Also:
  Constant Field Values

### XML_DATA_DIR_PATH_CONTENT

    public static final java.lang.String XML_DATA_DIR_PATH_CONTENT

  Description copied from class: `IdmCredentialManagerUtilities`
  Relative path to the directory where the XML data file resides. Should be appended after ORACLE_HOME path.

  See Also:
    Constant Field Values

### XML_DATA_DIR_PATH_RM

    public static final java.lang.String XML_DATA_DIR_PATH_RM

See Also:
  Constant Field Values

### SSL_AUTH_MODE_NO_AUTH

    public static final java.lang.String SSL_AUTH_MODE_NO_AUTH

See Also:
  Constant Field Values

### SSL_AUTH_MODE_SERVER_ONLY

    public static final java.lang.String SSL_AUTH_MODE_SERVER_ONLY

See Also:
  Constant Field Values

### SSL_AUTH_MODE_SERVER_CLIENT

    public static final java.lang.String SSL_AUTH_MODE_SERVER_CLIENT

See Also:
  Constant Field Values

Constructor Detail

### IdmCredentialManagerUtilities

    public IdmCredentialManagerUtilities()

### IdmCredentialManagerUtilities

    public IdmCredentialManagerUtilities(int timeLimit,
                                         int countLimit,
                                         int pageSize)
                                  throws IfsException

  Constructs an IdmCredentialManagerUtilities.

  Parameters:
    `timeLimit` - the maximum time to wait, in milliseconds; if the operation does not complete within this time, an exception will be thrown; a value of 0 means to wait indefinitely
    `countLimit` - the maximum number of entries to be returned in a search; a value of 0 means no limit.
    `pageSize` - the page size to be returned in a search;
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getIdentityStore

    public oracle.security.idm.IdentityStore getIdentityStore()
                                                       throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Returns the IdentityStore instance

  Returns:
    the IdentityStore instance
  Throws:
    `IfsException` - if the operation fails

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Disposes this IdmCredentialManagerUtilities.

  Throws:
    `IfsException` - (IFS-12901) if the operation fails

### verifyNotDisposed

    public void verifyNotDisposed()
                           throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Verifies this IdmCredentialManagerUtilities has not been disposed.

  Throws:
    `IfsException` - (IFS-12950) if disposed or IfsException (IFS-12902) if the operation otherwise fails

### validateUserPassword

    public boolean validateUserPassword(java.lang.String guid,
                                        java.lang.String password)
                                 throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Determines whether the supplied password is the correct user password for the specified user.

  Parameters:
    `guid` - the GUID of the user
    `password` - the password of the user
  Returns:
    whether the password is valid
  Throws:
    `IfsException` - if the operation fails

### userExists

    public boolean userExists(java.lang.String guid)
                       throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Gets whether the specified user exists.

  Parameters:
    `guid` - the GUID of the user
  Returns:
    whether the user exists
  Throws:
    `IfsException` - (IFS-12913) if the operation fails

### createUser

    public java.lang.String createUser(java.lang.String userid,
                                       java.lang.String password)
                                throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Creates a user.

  The user is created directly below the user search base of the specified subscriber. The new user entry belongs to the object classes specified by the subscriber's orclUserObjectClasses attribute. The attribute specified by the subscriber's orclCommonNicknameAttribute, as well as the user's sn, cn, and uid attributes, is set to the specified userid. The userPassword attribute is set to the supplied password. A unique GUID is generated for the orclGuid attribute.

  Parameters:
    `userid` - the userid
    `password` - the password
  Returns:
    the GUID of the created user
  Throws:
    `IfsException` - (IFS-12917) if the operation fails

### deleteUser

    public void deleteUser(java.lang.String guid)
                    throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Deletes the specified user.

  Parameters:
    `guid` - the GUID of the user
  Throws:
    `IfsException` - (IFS-12918) if the operation fails

### setUserPassword

    public void setUserPassword(java.lang.String guid,
                                java.lang.String newPassword)
                         throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Sets the userPassword and authPassword attributes of the specified user.

  Parameters:
    `guid` - the GUID of the user
    `newPassword` - the new password
  Throws:
    `IfsException` - (IFS-12919) if the operation fails

### getRealmName

    public java.lang.String getRealmName()
                                  throws IfsException

  Throws:
    `IfsException`

### closeStore

    public static void closeStore(oracle.security.idm.IdentityStore store)

### createIdentityStore

    public static oracle.security.idm.IdentityStore createIdentityStore()
                                                                 throws IfsException

  Throws:
    `IfsException`

### createIdentityStore

    public static oracle.security.idm.IdentityStore createIdentityStore(java.util.Hashtable env)
                                                                 throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Creates an IdentityStore instance with the specified configuration environment.

  Parameters:
    `env` - the configuration environment hastable
  Returns:
    an instance of the IdentityStore
  Throws:
    `IfsException` - if the operation fails

### mapPreferredLanguage

    public static java.util.Hashtable mapPreferredLanguage(java.lang.String prefLang)

  Description copied from class: `IdmCredentialManagerUtilities`
  Map the specified Idm preferredLanguage to ECM Locale preferenc. Then derive language and character set from the locale, and map them to ECM Language and Character Set preferences.

  Parameters:
    `prefLang` - IDM preferredLanguage value.
  Returns:
    a hashtable contains the mapped LOCALE, LANGUAGE, and CHARACTERSET

### getCMUsers

    protected java.util.Vector getCMUsers(AttributeValue[] options)
                                   throws IfsException

  Description copied from class: `IdmCredentialManagerUtilities`
  Gets the users that matches the specified options

  Parameters:
    `options` - the array of options, which includes search and returned value options.
  Returns:
    a Vector of the specified attribute, or null if there are no users.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD